gnutls_x509_privkey_get_pk_algorithm(3)

NAME
gnutls_x509_privkey_get_pk_algorithm - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_privkey_get_pk_algorithm(gnutls_x509_privkey_t key);

ARGUMENTS

gnutls_x509_privkey_t key
    should contain a gnutls_x509_privkey_t structure

DESCRIPTION
This function will return the public key algorithm of a private key.

RETURNS
a member of the gnutls_pk_algorithm_t enumeration on success, or a negative error code on error.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/